cl.cromer.mt

## Class Automata

- java.lang.Object
- - cl.cromer.mt.Automata

    public class Automata
    extends java.lang.Object

Clase que contiene métodos que guarda y ordena cada transición del archivo XML ya validado

### Field Summary

Fields
`private java.util.ArrayList<Estado>` `estados` Los estados y sus enlaces
`private java.util.ArrayList<java.lang.Integer>` `estadosExistentes` Los estados que existen

### Constructor Summary

Constructors
Constructor and Description
`Automata(org.w3c.dom.Document document)` Constructor de la clase Automata, organiza las etiquetas del XML en un array de estados y filtra los subindices de cada estado obtenido

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<Estado>` `getEstados()` Retorna un lista de estados
`java.util.ArrayList<java.lang.Integer>` `getEstadosExistentes()` Retorna una lista de números que serán los subindices de los estados existentes
`void` `setEstados(java.util.ArrayList<Estado> estados)` Asigna una lista de estados
`void` `setEstadosExistentes(java.util.ArrayList<java.lang.Integer> estadosExistentes)` Asigna una lista de estados existentes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### estados

    private java.util.ArrayList<Estado> estados

Los estados y sus enlaces

#### estadosExistentes

    private java.util.ArrayList<java.lang.Integer> estadosExistentes

Los estados que existen

### Constructor Detail

#### Automata

    public Automata(org.w3c.dom.Document document)

Constructor de la clase Automata, organiza las etiquetas del XML en un array de estados y filtra los subindices de cada estado obtenido

Parameters:
  `document` - Document del XML

### Method Detail

#### getEstados

    public java.util.ArrayList<Estado> getEstados()

Retorna un lista de estados

Returns:
  ArrayList de Estados

#### setEstados

    public void setEstados(java.util.ArrayList<Estado> estados)

Asigna una lista de estados

Parameters:
  `estados` - Estados ya creados

#### getEstadosExistentes

    public java.util.ArrayList<java.lang.Integer> getEstadosExistentes()

Retorna una lista de números que serán los subindices de los estados existentes

Returns:
  estadosExistentes Lista de subindices

#### setEstadosExistentes

    public void setEstadosExistentes(java.util.ArrayList<java.lang.Integer> estadosExistentes)

Asigna una lista de estados existentes

Parameters:
  `estadosExistentes` - Los estados a guardar